=== debian/changelog ===
linkchecker (1.3.7.1) unstable; urgency=low

  * NMU to depend on python (2.1). Closes: #118254.

 -- Matthias Klose <doko@debian.org>  Fri,  7 Dec 2001 09:33:22 +0100

linkchecker (1.3.7) unstable; urgency=low

  * fix typo in DNS/Base.py Windows Registry handling
  * minor code cleanups
  * add missing split* import for proxy handling (Closes: #115931)

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 17 Oct 2001 14:40:34 +0200

linkchecker (1.3.6) unstable; urgency=low

  * fix typo in Copyright blurb
  * implemented Proxy Authentication (untested)
  * Opera Bookmark files (opera.adr) support, they are parsed
    automatically. This support only works for local file links
    (ie. file:///home/joe/.opera/opera.adr)
  * support for TCP socket timeouts with --timeout (untested)
  * replace string module functions with Python 2.x string methods
  * use TCP for DNS MX mailhost lookup as default, not UDP as it seems
    to hang forever (dont know why). This should fix bug #106393, but
    only time and tests will tell.
  * updated DNS.init_dns_config with Windows-specific functions from
    pydns.sf.net (tested only under Win2000)

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 22 Aug 2001 19:34:13 +0200

linkchecker (1.3.5) unstable; urgency=low

  * add traceback import into testsuite
  * fix HTTPS support by using correct import statement and
    calling HTTPS.connect()
  * standards version 3.5.6 (no changes)
  * updated german translation

 -- Bastian Kleineidam <calvin@debian.org>  Wed,  1 Aug 2001 22:32:55 +0200

linkchecker (1.3.4) unstable; urgency=low

  * dont display number of warnings because the number of warnings
    is only correct with --warning or --verbose.
  * fix previous wrong changelog email <calvin@ap-lnx-bastiank>
  * call debug function in MailUrlData.py with correct arguments
  * clarify confusing error msg in MailUrlData.py by using str()
    (Closes: #106649)
  * fix bug which caused LinkChecker not to ignore HTML comments

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 30 Jul 2001 20:37:13 +0200

linkchecker (1.3.3) unstable; urgency=low

  * init_dns_resolver: forgot to import string.lower (Closes: #101044)
  * when we have a HTTP 301 redirect and the url does not end with
    a / remind the user of a potential missing / at the end of the url
  * the recovered-from-broken-PAM release

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 29 Jun 2001 13:14:19 +0200

linkchecker (1.3.2) unstable; urgency=low

  * new option --pause
  * only enable threading with 2 or more threads, not with only 1 thread
  * new debug function with variable arguments
  * more than one debug level; enable them with multiple -D options
  * workaround for broken HEAD with some Apache servers by using GET
  * enable out-of-the-box CGI scripts for Debian package in
    http://localhost/doc/linkchecker/lconline/
    this of course requires an HTTP server installed on your machine
  * change logging config in the CGI scripts, the log file can be
    enabled in linkcheck/lc_cgi.py
  * updated to standards version 3.5.5 (no changes)

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 10 Jun 2001 13:20:19 +0200

linkchecker (1.3.1) unstable; urgency=low

  * remove CVS files from Debian source package by using cvs-
    buildpackage

 -- Bastian Kleineidam <calvin@debian.org>  Sat,  5 May 2001 16:05:06 +0200

linkchecker (1.3.0) unstable; urgency=low

  * require and use Python >= 2.0
  * fix ignored configfile settings for loggers
  * optional filename argument for -F (patch from
    Jamie Heilman <jamie@audible.transient.net>)
  * config file option to control which fields the loggers should print
  * fixed possible inifinite loop with redirections (thanks to
    Szabolcs Szakacsits for the report)
  * resolve HTML entities in link names (closes: Bug#90644)
  * debian standards version 3.5.4.0 (no changes)
  * httpslib.py:27: use extra paranthesis around connect() argument for
    Python 2.0 compatibility (thanks to Allan Bailey for the patch)
  * additionally allow https in the CGI scripts (thanks to Allan Bailey
    for the patch)
  * fix for distutils bug: python2None interpreter is wrong
  * fix default location of global config file

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 29 Apr 2001 02:09:41 +0200

linkchecker (1.2.15) unstable; urgency=low

  * remove ssl modules for main linkchecker package; make a separate 
    package linkchecker-ssl for non-US
  * adjust build-depends and depends
  * fix anchor checking
  * debian standards version 3.5.2.0
  * require python-distutils >= 1.0.1, removed old compatibility code
  * added FAQ entry for broken links
  * change email address to calvin@debian.org
  * add DNS.Error to caught exceptions
  * add all html link tags (ripped from HTML::Tagset.pm)
  * updated robotparser2.py to newest version
  * catch errors when calling UrlData.checkContent
  * added linkcheckerrc to the conffiles
  * disable threading in the lc.cgi script so the machine wont be
    hogged (closes: Bug#86788)
  * fix https support: add -lssl when compiling ssl module

 -- Bastian Kleineidam <calvin@debian.org>  Sun,  4 Mar 2001 20:55:02 +0100

linkchecker (1.2.14) unstable; urgency=low

  * fixed Python 2.0 bug: TypeError: object has read-only attributes

 -- Bastian Kleineidam <calvin@users.sourceforge.net>  Thu, 11 Jan 2001 21:29:00 +0100

linkchecker (1.2.13) unstable; urgency=low

  * linkcheck/HttpUrlData.py:
    - better redirection handling
    - really use host variable in "Host:" header
    - support response code "305 Use proxy"
  * linkcheck/robotparser2.py:
    - better redirection handling
    - cope with user-agent: lines without a preceding blank line
    - printed "Allow" when I meant "Disallow". This has been fixed.
    - two licenses: GPL and Python 2.0
  * linkcheck/__init__.py: user friendly warning for keyboard interrupts
  * debian/control: standards version 3.2.1
  * support Mozilla-specific find: links
  * print link names for:

