## linkchecker 2.8

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 PYVER := 2.4
 PYTHON := python$(PYVER)
 PACKAGE := linkchecker
-NAME = $(shell $(PYTHON) setup.py --name)
-VERSION = $(shell $(PYTHON) setup.py --version)
+NAME := $(shell $(PYTHON) setup.py --name)
+VERSION := $(shell $(PYTHON) setup.py --version)
 PACKAGEDIR = /home/groups/l/li/$(PACKAGE)
 #HTMLDIR=shell1.sourceforge.net:$(PACKAGEDIR)/htdocs
 HTMLDIR=/home/calvin/public_html/linkchecker.sf.net/htdocs
@@ -18,8 +18,8 @@
 PYCHECKEROPTS := -F config/pycheckrc
 PYLINT := env PYTHONPATH=. PYLINTRC=config/pylintrc pylint.$(PYTHON)
 PYLINTOPTS := 
-PYLINTBROKEN = 
-PYLINTFILES = $(filter-out $(PYLINTBROKEN),$(PYFILES))
+PYLINTIGNORE = linkcheck/httplib2.py
+PYLINTFILES = $(filter-out $(PYLINTIGNORE),$(PYFILES))
 
 all:
 	@echo "Read the file doc/install.txt to see how to build and install this package."
@@ -31,7 +31,7 @@
 	$(MAKE) -C po clean
 	rm -f linkcheck/HtmlParser/htmlsax.so
 	rm -f linkcheck/HtmlParser/*.output
-	find . -name '*.py[co]' | xargs rm -f
+	find . -name '*.py[co]' -exec rm -f {} \;
 
 distclean: clean cleandeb
 # just to be sure clean also the build dir
@@ -46,14 +46,14 @@
 	rm -f debian/*.debhelper debian/{files,substvars}
 	rm -f configure-stamp build-stamp
 
-config:
-	$(PYTHON) setup.py config -lcrypto
+MANIFEST: MANIFEST.in setup.py
+	$(PYTHON) setup.py sdist --manifest-only
 
 locale:
 	$(MAKE) -C po
 
 # to build in the current directory
-localbuild:
+localbuild: MANIFEST
 	$(MAKE) -C linkcheck/HtmlParser
 	$(PYTHON) setup.py build
 	cp -f build/lib.linux-i686-$(PYVER)/linkcheck/HtmlParser/htmlsax.so linkcheck/HtmlParser
@@ -83,9 +83,9 @@
 	$(PYTHON) setup.py register
 
 homepage:
-	$(MAKE) -C doc homepage
+	$(MAKE) -C doc/en homepage
 
-dist: locale config
+dist: locale MANIFEST
 	$(PYTHON) setup.py sdist --formats=gztar bdist_rpm
 
 releasecheck:
@@ -101,7 +101,7 @@
 	done
 	ncftpput upload.sourceforge.net /incoming dist/*
 
-test:
+test:	localbuild
 	test/run.sh test.py --resource=network --search-in=linkcheck -fupv
 
 coverage:
@@ -120,4 +120,4 @@
 	$(PYTHON) config/reindent.py -r -v linkcheck
 
 .PHONY: all clean cleandeb distclean files upload test timeouttest locale
-.PHONY: config deb_local deb_signed tar releasecheck pycheck pylint reindent
+.PHONY: deb_local deb_signed tar releasecheck pycheck pylint reindent
