## linkchecker 3.1

=== Makefile ===
--- 
+++ 
@@ -2,16 +2,9 @@
 PYVER := 2.4
 PYTHON := python$(PYVER)
 PACKAGE := linkchecker
-NAME := $(shell $(PYTHON) setup.py --name)
 VERSION := $(shell $(PYTHON) setup.py --version)
-PACKAGEDIR = /home/groups/l/li/$(PACKAGE)
-#HTMLDIR=shell1.sourceforge.net:$(PACKAGEDIR)/htdocs
-HTMLDIR=/home/calvin/public_html/linkchecker.sf.net/htdocs
-#HOST=treasure.calvinsplayground.de
 HOST=www.debian.org
-#LCOPTS=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -v -s
-LCOPTS=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -v -s -r1
-DESTDIR = /.
+LCOPTS=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot -v -r1 -t0
 PYFILES := $(wildcard linkcheck/*.py linkcheck/logger/*.py \
 	linkcheck/checker/*.py)
 TESTFILES := $(wildcard linkcheck/tests/*.py linkcheck/ftests/*.py)
@@ -69,14 +62,13 @@
 	env CVSROOT=:ext:calvin@cvs.linkchecker.sourceforge.net:/cvsroot/linkchecker cvs-buildpackage -Mlinkchecker -W/home/calvin/projects/cvs-build -sgpg -pgpg -k32EC6F3E -r"fakeroot --" -I.cvsignore
 
 files:	locale localbuild
-	env http_proxy="" LANG=C $(PYTHON) $(PACKAGE) $(LCOPTS) -i$(HOST) http://$(HOST)/
+	test/run.sh linkchecker $(LCOPTS) http://$(HOST)/
 	rm -f linkchecker-out.*.gz
 	for f in linkchecker-out.*; do gzip --best $$f; done
 
-release: releasecheck dist upload homepage
-	mozilla -remote "OpenUrl(https://sourceforge.net/projects/linkchecker,new-tab)"
-	@echo "Make SF release and press return..."
-	@read
+release: releasecheck dist sign_distfiles homepage
+	@echo "Starting releaseforge..."
+	@releaseforge
 	@echo "Uploading new LinkChecker Homepage..."
 	$(MAKE) -C ~/public_html/linkchecker.sf.net upload
 	@echo "Register at Python Package Index..."
@@ -93,19 +85,15 @@
 	  echo "Could not release: edit ChangeLog release date"; false; \
 	fi
 
-upload:
+sign_distfiles:
 	for f in dist/*; do \
 	  if [ ! -f $${f}.asc ]; then \
 	    gpg --detach-sign --armor $$f; \
 	  fi; \
 	done
-	ncftpput upload.sourceforge.net /incoming dist/*
 
-test:	localbuild
-	test/run.sh test.py --resource=network --search-in=linkcheck -fupv
-
-coverage:
-	test/run.sh test.py --coverage
+check:	localbuild
+	test/test.sh
 
 tar:	distclean
 	cd .. && tar cjvf linkchecker.tar.bz2 linkchecker
@@ -119,5 +107,6 @@
 reindent:
 	$(PYTHON) config/reindent.py -r -v linkcheck
 
-.PHONY: all clean cleandeb distclean files upload test timeouttest locale
+.PHONY: all clean cleandeb dist distclean homepage files upload locale
 .PHONY: deb_local deb_signed tar releasecheck pycheck pylint reindent
+.PHONY: sign_distfiles
