=== gui/Makefile ===
PYVER := 2.4
PYTHON := python$(PYVER)
OPTS := --copyright="Copyright (C) 2005 Bastian Kleineidam" \
	--license=py_gpl_head.txt  --threads

glade:
	$(PYTHON) simple-glade-codegen.py $(OPTS) glinkchecker.glade
