## linkchecker 3.3

=== Makefile ===
--- 
+++ 
@@ -13,10 +13,13 @@
 PYLINTOPTS := 
 PYLINTIGNORE = linkcheck/httplib2.py
 PYLINTFILES = $(filter-out $(PYLINTIGNORE),$(PYFILES))
+PYFLAKES:=pyflakes
 
+.PHONY: all
 all:
 	@echo "Read the file doc/install.txt to see how to build and install this package."
 
+.PHONY: clean
 clean:
 # ignore errors of this command
 	-$(PYTHON) setup.py clean --all
@@ -26,14 +29,16 @@
 	rm -f linkcheck/HtmlParser/*.output
 	find . -name '*.py[co]' -exec rm -f {} \;
 
+.PHONY: distclean
 distclean: clean cleandeb
 # just to be sure clean also the build dir
 	rm -rf dist build
 	rm -f _$(PACKAGE)_configdata.py MANIFEST Packages.gz
 # clean aborted dist builds and -out files
-	rm -f $(PACKAGE)-out* $(PACKAGE).prof $(PACKAGE)-md5sums.txt
+	rm -f $(PACKAGE)-out* $(PACKAGE).prof
 	rm -rf $(PACKAGE)-$(VERSION)
 
+.PHONY: cleandeb
 cleandeb:
 	rm -rf debian/$(PACKAGE) debian/tmp
 	rm -f debian/*.debhelper debian/{files,substvars}
@@ -42,10 +47,12 @@
 MANIFEST: MANIFEST.in setup.py
 	$(PYTHON) setup.py sdist --manifest-only
 
+.PHONY: locale
 locale:
 	$(MAKE) -C po
 
 # to build in the current directory
+.PHONY: localbuild
 localbuild: MANIFEST
 	$(MAKE) -C linkcheck/HtmlParser
 	$(PYTHON) setup.py build
@@ -53,20 +60,24 @@
 	cp -f build/lib.linux-i686-$(PYVER)/linkcheck/ftpparse/_ftpparse.so linkcheck/ftpparse
 
 # produce the .deb Debian package
+.PHONY: deb_local
 deb_local: cleandeb
 # standard for local use
 	fakeroot debian/rules binary
 
+.PHONY: deb_signed
 deb_signed: cleandeb
 # ready for upload, signed with my GPG key
 	env CVSROOT=:ext:calvin@cvs.linkchecker.sourceforge.net:/cvsroot/linkchecker cvs-buildpackage -Mlinkchecker -W/home/calvin/projects/cvs-build -sgpg -pgpg -k32EC6F3E -r"fakeroot --" -I.cvsignore
 
+.PHONY: files
 files:	locale localbuild
-	test/run.sh linkchecker $(LCOPTS) http://$(HOST)/
+	-test/run.sh linkchecker $(LCOPTS) http://$(HOST)/
 	rm -f linkchecker-out.*.gz
 	for f in linkchecker-out.*; do gzip --best $$f; done
 
-release: releasecheck dist sign_distfiles homepage
+.PHONY: release
+release: releasecheck distclean dist sign_distfiles homepage
 	@echo "Starting releaseforge..."
 	@releaseforge
 	@echo "Uploading new LinkChecker Homepage..."
@@ -74,17 +85,21 @@
 	@echo "Register at Python Package Index..."
 	$(PYTHON) setup.py register
 
+.PHONY: homepage
 homepage:
 	$(MAKE) -C doc/en homepage
 
+.PHONY: dist
 dist: locale MANIFEST
 	$(PYTHON) setup.py sdist --formats=gztar bdist_rpm
 
+.PHONY: releasecheck
 releasecheck:
-	@if grep -i xxxx ChangeLog > /dev/null; then \
+	@if egrep -i "xx\.|xxxx|\.xx" ChangeLog > /dev/null; then \
 	  echo "Could not release: edit ChangeLog release date"; false; \
 	fi
 
+.PHONY: sign_distfiles
 sign_distfiles:
 	for f in dist/*; do \
 	  if [ ! -f $${f}.asc ]; then \
@@ -92,21 +107,25 @@
 	  fi; \
 	done
 
+.PHONY: check
 check:	localbuild
 	test/test.sh
 
-tar:	distclean
-	cd .. && tar cjvf linkchecker.tar.bz2 linkchecker
-
+.PHONY: pycheck
 pycheck:
 	-env PYTHONPATH=. PYTHONVER=$(PYVER) pychecker $(PYCHECKEROPTS) $(PYFILES)
 
+.PHONY: pylint
 pylint:
 	$(PYLINT) $(PYLINTOPTS) $(PYLINTFILES) $(TESTFILES)
 
+.PHONY: pyflakes
+pyflakes:
+	$(PYFLAKES) *.py test linkcheck | \
+          grep -v "redefinition of unused 'linkcheck'" | \
+          grep -v "undefined name '_'" | \
+	  grep -v "undefined name '_n'"
+
+.PHONY: reindent
 reindent:
 	$(PYTHON) config/reindent.py -r -v linkcheck
-
-.PHONY: all clean cleandeb dist distclean homepage files upload locale
-.PHONY: deb_local deb_signed tar releasecheck pycheck pylint reindent
-.PHONY: sign_distfiles
