## linkchecker 4.5

=== Makefile ===
--- 
+++ 
@@ -6,9 +6,7 @@
 LCOPTS=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot -v -r1 -C
 # all Python files in the source
 PYFILES = $(wildcard *.py) linkchecker linkcheck tests
-PYLINT := env PYTHONPATH=. PYLINTRC=config/pylintrc $(PYTHON) /usr/bin/pylint
-PYLINTOPTS := --disable-msg-cat=C,R,W
-PYFLAKES:=pyflakes
+PYFLAKES:=python$(PYVER) /usr/bin/pyflakes
 PYTHONSVN := /home/calvin/src/python-svn
 # build dir for svn-buildpackage
 SVNBUILD:=/home/calvin/src/build-area
@@ -25,6 +23,8 @@
 	-$(PYTHON) setup.py clean --all
 	rm -f sign-stamp release-stamp
 	$(MAKE) -C po clean
+	$(MAKE) -C doc clean
+	$(MAKE) -C doc/en clean
 	rm -f linkcheck/HtmlParser/htmlsax.so
 	rm -f linkcheck/HtmlParser/*.output
 	rm -f linkcheck/ftpparse/_ftpparse.so
@@ -38,7 +38,7 @@
 # clean aborted dist builds and -out files
 	rm -f linkchecker-out* linkchecker.prof
 	rm -rf linkchecker-$(VERSION)
-	rm -rf coverage dist-stamp
+	rm -rf coverage dist-stamp python-build-stamp*
 
 .PHONY: cleandeb
 cleandeb:
@@ -93,7 +93,7 @@
 #	@read
 
 .PHONY: release
-release: releasecheck distclean dist-stamp sign_distfiles homepage upload
+release: distclean releasecheck dist-stamp sign_distfiles homepage upload
 	@echo "Uploading new LinkChecker Homepage..."
 	$(MAKE) -C ~/public_html/linkchecker.sf.net upload
 	@echo "Register at Python Package Index..."
@@ -120,6 +120,7 @@
 	@if egrep -i "xx\.|xxxx|\.xx" ChangeLog > /dev/null; then \
 	  echo "Could not release: edit ChangeLog release date"; false; \
 	fi
+	$(MAKE) -C doc/en test
 
 .PHONY: sign_distfiles
 sign_distfiles:
@@ -132,12 +133,6 @@
 .PHONY: test
 test:	localbuild
 	scripts/test.sh
-
-.PHONY: pylint
-pylint:
-	$(PYLINT) $(PYLINTOPTS) $(PYFILES) | \
-	  grep -v "Undefined variable '_'" | \
-	  uniq
 
 .PHONY: pyflakes
 pyflakes:
