=== po/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # defined language (add new languages here)
 LANGUAGES = de fr es
 
-all: template
+all:
 
 mofiles:
 	@for la in $(LANGUAGES); do \
