=== doc/en/Makefile ===
--- 
+++ 
@@ -5,15 +5,21 @@
 
 all: $(HTMLFILES)
 
+.PHONY: clean
 clean:
 	rm -f $(HTMLFILES) $(NAVFILES)
 
 %.html:	%.txt ../htmlnav.py ../bfknav.py
 	../rest2htmlnav --stylesheet-path=lc.css --time $< $@
 
+.PHONY: nav
 nav: all
 	python2.4 ../bfknav.py
 
+.PHONY: homepage
 homepage: nav
 	cp *.html *.css *.jpg *.png *.ico $(HTMLDIR)/htdocs
 
+.PHONY: test
+test:	all
+	xmllint --valid --noout *.html
