## linkchecker 4.6

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 .PHONY: distclean
 distclean: clean cleandeb
 # just to be sure clean also the build dir
-	rm -rf dist build
+	rm -rf build
 	rm -f _linkchecker_configdata.py MANIFEST Packages.gz
 # clean aborted dist builds and -out files
 	rm -f linkchecker-out* linkchecker.prof
