## linkchecker 4.8

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,13 @@
 # This Makefile is only used by developers.
-PYVER := 2.4
-PYTHON := python$(PYVER)
-VERSION := $(shell $(PYTHON) setup.py --version)
+PYVER=2.4
+PYTHON=python$(PYVER)
+VERSION=$(shell $(PYTHON) setup.py --version)
 HOST=www.debian.org
 LCOPTS=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot -v -r1 -C
-# all Python files in the source
-PYFILES = $(wildcard *.py) linkchecker linkcheck tests
-PYFLAKES:=python$(PYVER) /usr/bin/pyflakes
-PYTHONSVN := /home/calvin/src/python-svn
+PYTHONSVN=/home/calvin/src/python-svn
 # build dir for svn-buildpackage
-SVNBUILD:=/home/calvin/src/build-area
-DEB_ORIG_TARGET:=$(SVNBUILD)/linkchecker_$(VERSION).orig.tar.gz
+SVNBUILD=/home/calvin/src/build-area
+DEB_ORIG_TARGET=$(SVNBUILD)/linkchecker_$(VERSION).orig.tar.gz
 
 
 .PHONY: all
@@ -74,7 +71,7 @@
 deb_signed: cleandeb
 	(env -u LANG svn-buildpackage --svn-dont-clean --svn-verbose --svn-ignore \
 	  --svn-prebuild="$(MAKE) deb_orig" --svn-lintian --svn-linda \
-	  -sgpg -pgpg -k$(GPGKEY) -r"fakeroot --" 2>&1) | \
+	  -sgpg -pgpg -k$(GPGKEY) -rfakeroot 2>&1) | \
 	tee $(SVNBUILD)/linkchecker-$(VERSION).build
 
 .PHONY: files
@@ -112,16 +109,22 @@
 dist: locale MANIFEST chmod
 	$(PYTHON) setup.py sdist --formats=gztar bdist_rpm
 
-dist-stamp:
+dist-stamp: changelog
 	$(MAKE) dist
 	touch $@
 
-.PHONY: syntaxcheck
-syntaxcheck:
+# The check programs used here are mostly local scripts on my private system.
+# So for other developers there is no need to execute this target.
+.PHONY: check
+check:
 	py-verify
+	py-find-nocoding
+	check-nosvneolstyle
+	check-pofiles
+	py24-tabnanny
 
 .PHONY: releasecheck
-releasecheck: syntaxcheck
+releasecheck: check
 	@if egrep -i "xx\.|xxxx|\.xx" ChangeLog > /dev/null; then \
 	  echo "Could not release: edit ChangeLog release date"; false; \
 	fi
@@ -141,7 +144,7 @@
 
 .PHONY: pyflakes
 pyflakes:
-	$(PYFLAKES) $(PYFILES) | \
+	pyflakes | \
           grep -v "redefinition of unused 'linkcheck'" | \
           grep -v "undefined name '_'" | \
 	  grep -v "undefined name '_n'"
@@ -158,9 +161,6 @@
 	  diff -u linkcheck/$${f}2.py $(PYTHONSVN)/Lib/$${f}.py | less; \
 	done
 
-# various python check scripts
-.PHONY: various
-various:
-	py-check-append $(PYFILES)
-	py-clean-future -r $(PYFILES)
-	py-find-nocoding $(PYFILES)
+.PHONY: changelog
+changelog:
+	sftrack_changelog linkchecker calvin@users.sourceforge.net ChangeLog
